function [S,MAC,XAC,CL,CM,MIA] = gtCLaCM(NW,N,XLE,YLE,CHORD,Cl,Cm,aind)
%
% Calculate the individual wing Area, Mean Aerodynamic Chord and
% Aerodynamic Center, Lift, and Moment
%
k=0;
for i=1:NW,
  S(i)=0.0;
  MAC(i)=0.0;
  XAC(i)=0;
  CL(i)=0.0;
  CM(i)=0.0;
  MIA(i)=0.0;
  for j=1:N(i)-1,
    k=k+1;
    dy=YLE(k+1)-YLE(k);
    f2=CHORD(k+1);
    f1=CHORD(k);
    S(i)=S(i)+0.5*dy*(f2+f1);
    f2=CHORD(k+1)^2;
    f1=CHORD(k)^2;
    MAC(i)=MAC(i)+0.5*dy*(f2+f1);
	f2=(XLE(k+1)+0.25*CHORD(k+1))*CHORD(k+1);
	f1=(XLE(k)+0.25*CHORD(k))*CHORD(k);
	XAC(i)=XAC(i)+0.5*(f2+f1)*dy;
    f2=Cl(k+1)*CHORD(k+1);
    f1=Cl(k)*CHORD(k);
    CL(i)=CL(i)+0.5*dy*(f2+f1);
    f2=Cm(k+1)*CHORD(k+1)^2-(XLE(k+1)+0.25*CHORD(k+1))*Cl(k+1)*CHORD(k+1);
    f1=Cm(k)*CHORD(k)^2-(XLE(k)+0.25*CHORD(k))*Cl(k)*CHORD(k);
    CM(i)=CM(i)+0.5*dy*(f2+f1);
    f2=aind(k+1)*CHORD(k+1);
    f1=aind(k)*CHORD(k);
    MIA(i)=MIA(i)+0.5*dy*(f2+f1);
  end
  k=k+1;
end
%
% Do the non-dimensionalizing
for i=1:NW,
  MAC(i)=MAC(i)/S(i);
  XAC(i)=XAC(i)/S(i);
  CL(i)=CL(i)/S(i);
  CM(i)=CM(i)/(S(i)*MAC(i));
  MIA(i)=MIA(i)/S(i);
end
